std::__profile::forward_list< _Tp, _Alloc >(3)

NAME
std::__profile::forward_list< _Tp, _Alloc > -

SYNOPSIS

Inherits forward_list< _Tp, _Alloc >.

  Public Types
typedef _Base::size_type size_type

  Public Member Functions
forward_list (const _Alloc &__al=_Alloc())
forward_list (const forward_list &__list, const _Alloc &__al)
forward_list (forward_list &&__list, const _Alloc &__al)
forward_list (size_type __n, const _Alloc &__al=_Alloc())
forward_list (size_type __n, const _Tp &__value, const _Alloc &__al=_Alloc())
template<typename _InputIterator , typename = std::_RequireInputIter<_InputIterator>> forward_list (_InputIterator __first, _InputIterator __last, const _Alloc &__al=_Alloc())
forward_list (const forward_list &__list)
forward_list (forward_list &&__list) noexcept
forward_list (std::initializer_list< _Tp > __il, const _Alloc &__al=_Alloc())
_Base & _M_base () noexcept
const _Base & _M_base () const noexcept
forward_list & operator= (const forward_list &__list)
forward_list & operator= (forward_list &&__list) noexcept(_Node_alloc_traits::_S_nothrow_move())
forward_list & operator= (std::initializer_list< _Tp > __il)

Detailed Description

  template<typename _Tp, typename _Alloc = std::allocator<_Tp>>class std::__profile::forward_list< _Tp, _Alloc >
Class std::forward_list wrapper with performance instrumentation.

Definition at line 44 of file profile/forward_list.

Author

Generated automatically by Doxygen for libstdc++ from the source code.